### Name: plot.SiZer
### Title: Plot a SiZer map
### Aliases: plot.SiZer
### Keywords: hplot smooth

### ** Examples

data('Arkansas')
x <- Arkansas$year
y <- Arkansas$sqrt.mayflies

# Calculate the SiZer map for the first derivative
SiZer.1 <- SiZer(x, y, h=c(.5,10), degree=1, derv=1)
plot(SiZer.1)

# Calculate the SiZer map for the second derivative
SiZer.2 <- SiZer(x, y, h=c(.5,10), degree=2, derv=2);
plot(SiZer.2)

# By setting the grid.length larger, we get a more detailed SiZer
# map but it takes longer to compute. 
SiZer.3 <- SiZer(x, y, h=c(.5,10), grid.length=100, degree=1, derv=1)
plot(SiZer.3)



